"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
exports.DialogResponses = void 0;
const constants = require("./constants");
const localize_1 = require("./localize");
var DialogResponses;
(function (DialogResponses) {
    DialogResponses.yes = { title: (0, localize_1.localize)('yes', 'Yes') };
    DialogResponses.no = { title: (0, localize_1.localize)('no', 'No') };
    DialogResponses.cancel = { title: (0, localize_1.localize)('cancel', 'Cancel'), isCloseAffordance: true };
    DialogResponses.deleteResponse = { title: (0, localize_1.localize)('delete', 'Delete') };
    DialogResponses.learnMore = { title: constants.learnMore };
    DialogResponses.dontWarnAgain = { title: (0, localize_1.localize)('dontWarnAgain', 'Don\'t warn again') };
    DialogResponses.skipForNow = { title: (0, localize_1.localize)('skipForNow', 'Skip for now') };
    DialogResponses.upload = { title: (0, localize_1.localize)('upload', "Upload") };
    DialogResponses.alwaysUpload = { title: (0, localize_1.localize)('alwaysUpload', "Always upload") };
    DialogResponses.dontUpload = { title: (0, localize_1.localize)('dontUpload', "Don't upload"), isCloseAffordance: true };
    DialogResponses.reportAnIssue = { title: (0, localize_1.localize)('reportAnIssue', "Report an issue") };
})(DialogResponses = exports.DialogResponses || (exports.DialogResponses = {}));
//# sourceMappingURL=DialogResponses.js.map