"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GenericServiceClient = void 0;
const ms_rest_js_1 = require("@azure/ms-rest-js");
const vscode = require("vscode");
class GenericServiceClient extends ms_rest_js_1.ServiceClient {
    constructor(credentials, options) {
        var _a;
        super(credentials, options);
        this.baseUri = ((_a = options.baseUri) === null || _a === void 0 ? void 0 : _a.endsWith('/')) ? options.baseUri.slice(0, -1) : options.baseUri;
    }
    sendRequest(options) {
        const _super = Object.create(null, {
            sendRequest: { get: () => super.sendRequest }
        });
        return __awaiter(this, void 0, void 0, function* () {
            if (this.baseUri && options.url && !options.url.startsWith('http')) {
                if (!options.url.startsWith('/')) {
                    options.url = `/${options.url}`;
                }
                options.url = this.baseUri + options.url;
            }
            options.headers || (options.headers = {});
            options.headers['accept-language'] = vscode.env.language;
            return yield _super.sendRequest.call(this, options);
        });
    }
}
exports.GenericServiceClient = GenericServiceClient;
//# sourceMappingURL=GenericServiceClient.js.map