"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.openInPortal = void 0;
const AzExtTreeItem_1 = require("./tree/AzExtTreeItem");
const openUrl_1 = require("./utils/openUrl");
function openInPortal(root, id, options) {
    return __awaiter(this, void 0, void 0, function* () {
        root = root instanceof AzExtTreeItem_1.AzExtTreeItem ? root.subscription : root;
        const queryPrefix = (options && options.queryPrefix) ? `?${options.queryPrefix}` : '';
        const url = `${root.environment.portalUrl}/${queryPrefix}#@${root.tenantId}/resource${id}`;
        yield (0, openUrl_1.openUrl)(url);
    });
}
exports.openInPortal = openInPortal;
//# sourceMappingURL=openInPortal.js.map