"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.registerEvent = void 0;
const callWithTelemetryAndErrorHandling_1 = require("./callWithTelemetryAndErrorHandling");
const extensionVariables_1 = require("./extensionVariables");
function registerEvent(eventId, event, callback) {
    extensionVariables_1.ext.context.subscriptions.push(event((...args) => __awaiter(this, void 0, void 0, function* () {
        // eslint-disable-next-line @typescript-eslint/no-unsafe-return
        return yield (0, callWithTelemetryAndErrorHandling_1.callWithTelemetryAndErrorHandling)(eventId, (context) => {
            // eslint-disable-next-line @typescript-eslint/no-unsafe-return
            return callback(context, ...args);
        });
    })));
}
exports.registerEvent = registerEvent;
//# sourceMappingURL=registerEvent.js.map