"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
exports.SubscriptionTreeItemBase = void 0;
const AzExtParentTreeItem_1 = require("./AzExtParentTreeItem");
const IconPath_1 = require("./IconPath");
class SubscriptionTreeItemBase extends AzExtParentTreeItem_1.AzExtParentTreeItem {
    constructor(parent, subscription) {
        super(parent);
        this.contextValue = SubscriptionTreeItemBase.contextValue;
        this._subscription = subscription;
        this.label = subscription.subscriptionDisplayName;
        this.id = subscription.subscriptionPath;
        this.iconPath = (0, IconPath_1.getIconPath)('azureSubscription');
    }
}
exports.SubscriptionTreeItemBase = SubscriptionTreeItemBase;
SubscriptionTreeItemBase.contextValue = 'azureextensionui.azureSubscription';
//# sourceMappingURL=SubscriptionTreeItemBase.js.map