"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
exports.addTreeItemValuesToMask = void 0;
const masking_1 = require("../masking");
/**
 * @param treeItemSource a string id used to track the tree item source in telemetry
 */
function addTreeItemValuesToMask(context, treeItem, treeItemSource) {
    (0, masking_1.addValuesToMaskFromAzureId)(context, treeItem.fullId);
    context.telemetry.properties.treeItemSource = treeItemSource;
    let tiToMask = treeItem;
    while (tiToMask) {
        if (!tiToMask.suppressMaskLabel) {
            context.valuesToMask.push(tiToMask.label);
        }
        context.valuesToMask.push(...tiToMask.valuesToMask);
        tiToMask = tiToMask.parent;
    }
}
exports.addTreeItemValuesToMask = addTreeItemValuesToMask;
//# sourceMappingURL=addTreeItemValuesToMask.js.map