"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
exports.countLines = exports.limitLines = void 0;
/**
 * Limit string 's' to at most 'n' lines
 */
function limitLines(s, n) {
    const match = s.match(new RegExp(`((\\r\\n|\\n)?.*$){0,${n}}`, 'm'));
    return match ? match[0] : '';
}
exports.limitLines = limitLines;
function countLines(s) {
    if (!s) {
        return 0;
    }
    const match = s.match(/(\r\n|\n)/g);
    return match ? match.length + 1 : 1;
}
exports.countLines = countLines;
//# sourceMappingURL=textStrings.js.map