"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __asyncValues = (this && this.__asyncValues) || function (o) {
    if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
    var m = o[Symbol.asyncIterator], i;
    return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
    function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
    function settle(resolve, reject, d, v) { Promise.resolve(v).then(function(v) { resolve({ value: v, done: d }); }, reject); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.uiUtils = void 0;
var uiUtils;
(function (uiUtils) {
    function listAll(client, first) {
        return __awaiter(this, void 0, void 0, function* () {
            const all = [];
            let list = yield first;
            all.push(...list);
            while (list.nextLink) {
                list = yield client.listNext(list.nextLink);
                all.push(...list);
            }
            return all;
        });
    }
    uiUtils.listAll = listAll;
    function listAllIterator(iterator) {
        var iterator_1, iterator_1_1;
        var e_1, _a;
        return __awaiter(this, void 0, void 0, function* () {
            const resources = [];
            try {
                for (iterator_1 = __asyncValues(iterator); iterator_1_1 = yield iterator_1.next(), !iterator_1_1.done;) {
                    const r = iterator_1_1.value;
                    resources.push(r);
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (iterator_1_1 && !iterator_1_1.done && (_a = iterator_1.return)) yield _a.call(iterator_1);
                }
                finally { if (e_1) throw e_1.error; }
            }
            return resources;
        });
    }
    uiUtils.listAllIterator = listAllIterator;
})(uiUtils = exports.uiUtils || (exports.uiUtils = {}));
//# sourceMappingURL=uiUtils.js.map